MaxWebPortal <= 1.33 Multiple Vulnerabilities

high Nessus Plugin ID 17688

Synopsis

The remote web server contains an ASP application that is affected by multiple vulnerabilities.

Description

The remote host is running a version of MaxWebPortal that is prone to multiple input validation vulnerabilities:

- Multiple SQL Injection Vulnerabilities An attacker can inject SQL statements via various scripts to manipulate database queries.

- A Cross-Site Scripting Vulnerability An attacker can pass arbitrary HTML and script code via the 'banner' parameter of the 'links_add_form.asp' script to be executed by a user's browser in the context of the affected website whenever he views the malicious link.

Solution

Unknown at this time.

See Also

http://www.hackerscenter.com/archive/view.asp?id=1807

Plugin Details

Severity: High

ID: 17688

File Name: maxwebportal_events_and_links_vulns.nasl

Version: 1.23

Type: remote

Family: CGI abuses

Published: 4/2/2005

Updated: 1/19/2021

Risk Information

VPR

Risk Factor: Medium

Score: 6.6

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:U/RC:ND

CVSS Score Source: CVE-2005-1017

Vulnerability Information

Required KB Items: www/ASP

Excluded KB Items: Settings/disable_cgi_scanning

Exploit Available: true

Exploit Ease: No exploit is required

Vulnerability Publication Date: 4/1/2005

Reference Information

CVE: CVE-2005-1016, CVE-2005-1017, CVE-2005-1417

BID: 12968, 13466

CWE: 89